#
#   Copyright 2018, Cordite Foundation.
#
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#

apiVersion: v1
kind: Service
metadata:
  name: cordite
  labels:
    app: cordite
spec:
  selector:
    app: cordite
  type: LoadBalancer
  ports:
    - name: braid
      protocol: TCP
      port: 8080
      targetPort: 8080
    - name: p2p
      protocol: TCP
      port: 10002
      targetPort: 10002
